<?php

namespace Drupal\cg_payment;

use Creditguard\CgCommandRequestChargeToken;
use Symfony\Component\EventDispatcher\Event;

class CgChargeEvent extends Event {

  const PRE_CHARGE = 'event.pre_charge';

  /**
   * @var \Creditguard\CgCommandRequestChargeToken
   */
  protected $request;

  /**
   * @var \Drupal\cg_payment\TransactionInterface
   */
  protected $transaction;

  /**
   * CgChargeEvent constructor.
   *
   * @param TransactionInterface $transaction
   */
  public function __construct(CgCommandRequestChargeToken $request, TransactionInterface $transaction) {
    $this->request = $request;
    $this->transaction = $transaction;
  }

  /**
   * @return \Creditguard\CgCommandRequestChargeToken
   */
  public function getRequest() {
    return $this->request;
  }

  /**
   * @return \Drupal\cg_payment\TransactionInterface
   */
  public function getTransaction() {
    return $this->transaction;
  }

}
