<?php
namespace Drupal\cg_payment;

interface RequestInterface {
  /**
   * Request payment form url from CreditGuard
   *
   * @param $terminalNumber
   *    Terminal number
   * @param $mid
   *    Merchant id
   * @param $amount
   *    Total amount to charge in Agorot (e.g. 100 = 1 NIS)
   * @param $email
   *    Email of the paying user
   * @param $description
   *    Short description to be displayed in the payment form
   *
   * @return url
   *    The payment form url
   */
  public function requestPaymentFormUrl($terminalNumber, $mid, $amount, $email, $description);
}